<?php 

namespace App\Service;

use App\Entity\MediaVideo;
use Doctrine\ORM\EntityManagerInterface;

class MediaVideoManager
{
    public function __construct(protected EntityManagerInterface $em)
    {
        
    }
    public function delMediaVideo(MediaVideo $mediaVideo, bool $flush = false): void
    {
        $this->em->remove($mediaVideo);
        if ($flush) {
            $this->em->flush();
        }
    }
}